/**
 * ****************************************************************************
 *
 * Copyright 2012 - 2014 Vektor Software.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 ****************************************************************************
 */
package com.vektorsoft.demux.core.log.impl;

import com.vektorsoft.demux.core.log.DMXLogger;
import com.vektorsoft.demux.core.log.DMXLoggerProducer;
import java.util.logging.Logger;
import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;

/**
 * An implementation of {@link DMXLoggerProducer} which is based on JDK logging.
 *
 * @author Vladimir Djurovic <vdjurovic@vektorsoft.com>
 */
public class DefaultLoggerProducer implements DMXLoggerProducer{

    @Override
    public DMXLogger createLogger(String name) {
        return new DefaultLogger(Logger.getLogger(name));
    }

    @Override
    public DMXLogger createLogger(Class clazz) {
        String bundleName = null;
        Bundle b = FrameworkUtil.getBundle(clazz);
        if(b != null){
            bundleName = b.getSymbolicName();
        }
        
        return new DefaultLogger(Logger.getLogger(clazz.getName()), bundleName);
    }
    
}
