
package com.vektorsoft.demux.samples.integrate.jfx;

import com.vektorsoft.demux.core.app.DMXAdapterTrackerHandler;
import com.vektorsoft.demux.core.http.DMXHttpClient;
import com.vektorsoft.demux.core.http.ctrl.DMXRemoteInvocationController;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import javafx.event.ActionEvent;

/**
 * Simple implementation of {@code ServiceTracker} used to track changes to {@code DMXAdapter} service.
 * 
 */
public class SampleTrackerHandler extends DMXAdapterTrackerHandler {

    @Override
    public void onAdapterAdded(DMXAdapter adapter) {
       // add here logic needed to run when adapter is registered
       // you can use this to register controllers, views etc. Example:
       // adapter.registerController(MyController.class);
       
        
        HelloView view = new HelloView(adapter);
        adapter.registerView(view);
        adapter.registerEventHandler(new ClickHandler(adapter, ActionEvent.ACTION));
        
        DMXHttpClient.instance().init("http://localhost:8080");
        DMXRemoteInvocationController invocation = new DMXRemoteInvocationController("com.vektorsoft.demux.samples.integration.IntegrationController", "testData");
        adapter.registerController(invocation);
    }

    @Override
    public void onAdapterModified(DMXAdapter adapter) {
        // add here logic needed to run when adapter is modfied
    }

    @Override
    public void onAdapterRemoved(DMXAdapter adapter) {
        // add here logic needed to run when adapter is removed
    }

}
